Bug 90979 - SoundBlaster Audigy Oops with 2.4.20-13.8 kernel
Summary: SoundBlaster Audigy Oops with 2.4.20-13.8 kernel
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-16 01:14 UTC by Jim Simmons
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 10:16:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (6.79 KB, application/octet-stream)
2003-05-16 01:16 UTC, Jim Simmons
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:187 normal SHIPPED_LIVE : Updated 2.4 kernel fixes vulnerabilities and driver bugs 2003-05-22 04:00:00 UTC

Description Jim Simmons 2003-05-16 01:14:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After installing 2.4.20-13.8 and rebooting, everything looks ok until I log into
X (using KDE) and it attempts to play a sound.  dmesg shows an Oops and from
that point on anything attempting to access the network (eth0) hangs and you
can't completely shutdown the system or log out of X (it hangs when it tries to
stop eth0).  A simple "ifconfig -a" also hangs.

Everything worked fine with 2.4.18-27.8.0 and rebooting to it brings
things back to normal.

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.8

How reproducible:
Always

Steps to Reproduce:
1.Boot system with 2.4.20-13.8 kernel
2.Attempt to log into X (KDE with sound configured)
3.Check dmesg or /var/log/messages to see error
    

Actual Results:  See above

Expected Results:  Sound should work, ifconfig -a should work, system should
shutdown.

Additional info:

Part of messages:

May 15 20:35:28 clarabel kernel: Creative EMU10K1 PCI Audio Driver, version
0.19a, 12:35:04 May 12 2003
May 15 20:35:28 clarabel kernel: PCI: Found IRQ 10 for device 02:0c.0
May 15 20:35:28 clarabel kernel: PCI: Sharing IRQ 10 with 00:1f.3
May 15 20:35:28 clarabel kernel: emu10k1: Audigy rev 3 model 0x0058 found, IO at
0xdf80-0xdf9f, IRQ 10
May 15 20:35:28 clarabel kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
May 15 20:35:28 clarabel kernel:  printing eip:
May 15 20:35:28 clarabel kernel: 00000000
May 15 20:35:28 clarabel kernel: *pde = 00000000
May 15 20:35:28 clarabel kernel: Oops: 0000
May 15 20:35:28 clarabel kernel: audigy ac97_codec sound soundcore radeon
agpgart nfsd lockd sunrpc eepro100 mii ipt_REJECT
 ipt_LOG iptable_filter ip_tables printer ide-scsi scsi_mod ide-cd c
May 15 20:35:28 clarabel kernel: CPU:    0
May 15 20:35:28 clarabel kernel: EIP:    0010:[<00000000>]    Not tainted
May 15 20:35:28 clarabel kernel: EFLAGS: 00010286
May 15 20:35:28 clarabel modprobe: modprobe: Can't locate module sound-service-0-0
May 15 20:35:28 clarabel kernel:
May 15 20:35:28 clarabel modprobe: modprobe: Can't locate module sound-slot-1
May 15 20:35:28 clarabel kernel: EIP is at [unresolved] (2.4.20-13.8)

Comment 1 Jim Simmons 2003-05-16 01:16:27 UTC
Created attachment 91714 [details]
/var/log/messages

This is /var/log/messages from the time I booted 2.4.20-13.8 until I did a
reset because it wouldn't shutdown.

Comment 2 Jim Simmons 2003-05-22 02:32:32 UTC
I tried the test 8.1 kernel at http://people.redhat.com/arjanv/testkernels/
and it appears to fix the problem.  Apparently this same bug affected RedHat 9.




Comment 3 Arjan van de Ven 2003-06-03 10:16:19 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-187.html



Note You need to log in before you can comment on or make changes to this bug.